<!DOCTYPE rkplugin>
<document>
  <code file="par_est_lrsm.js" />
  <help file="par_est_lrsm.rkh" />

  <logic>
    <convert id="group_contrasts" mode="equals" sources="groups.string" standard="contrasts" />
    <convert id="design_matrix"   mode="equals" sources="design.string" standard="matrix" />
    <convert id="eta_vector"      mode="equals" sources="etastart.string" standard="startval" />

    <connect client="group_vec.enabled" governor="group_contrasts" />
    <connect client="group_vec.required" governor="group_contrasts" />
    <connect client="design_mtx.enabled" governor="design_matrix" />
    <connect client="design_mtx.required" governor="design_matrix" />
    <connect client="etastart_vec.enabled" governor="eta_vector" />
    <connect client="etastart_vec.required" governor="eta_vector" />

    <connect client="save_name.enabled"  governor="chk_save.state" />
    <connect client="save_name.required" governor="chk_save.state" />
  </logic>

  <dialog label="IRT parameter estimation: Linear rating scale model">
    <tabbook>
      <tab id="tab_data" label="Manifest variables">
        <row id="manifest_resp_row">
          <varselector id="vars" />
          <column>
            <varslot types="numeric" id="x" classes="data.frame matrix" source="vars" required="true" label="Matrix of manifest variables:"/>
            <spinbox id="mpoints" label="Number of measurement points" type="integer" initial="1" min="1" size="small" />
            <stretch />
            <radio label="Group contrasts" id="groups">
              <option label="All subjects belong to one group" value="1" checked="true" />
              <option label="Compute group contrasts" value="contrasts" />
            </radio>
            <varslot types="numeric" id="group_vec" source="vars" label="Use this group vector:"/>
            <saveobject id="save_name" checkable="true" checked="true" label="Save results in workspace" initial="estimates.lrsm"/>
            <preview id="preview" mode="output"/>
          </column>
        </row>
      </tab>
      <tab id="tab_options" label="Options">
        <row id="options_row">
          <varselector id="vars2" />
          <column id="opt_var_col">
            <radio label="Design matrix" id="design">
              <option label="Compute automatically" value="auto" checked="true" />
              <option label="Use own design matrix" value="matrix" />
            </radio>
            <varslot types="numeric" id="design_mtx" classes="data.frame matrix" source="vars2" label="Design matrix:"/>
            <stretch />
            <radio label="Eta start values" id="etastart">
              <option label="Use 0-vector" value="NULL" checked="true" />
              <option label="Use own vector of eta start values" value="startval" />
            </radio>
            <varslot types="numeric" id="etastart_vec" source="vars2" label="Vector of start values:"/>
            <frame label="Misc options">
              <checkbox id="stderr" label="Compute standard error" checked="true" value="se" />
              <checkbox id="sumnull" label="Normalize parameters to sum-0" checked="true" value="sum0" />
            </frame>
          </column>
        </row>
      </tab>
    </tabbook>
  </dialog>
</document>
